package ru.micord.ervu.security.esia.service;

import ru.micord.ervu.security.esia.model.*;

/**
 * @author Eduard Tihomirov
 */
public interface UlDataService {

  boolean checkRole(String accessToken);

  EmployeeModel getEmployeeModel(String accessToken);

  EmployeeModel getChiefEmployeeModel(String accessToken);

  OrganizationModel getOrganizationModel(String accessToken);

  PersonModel getPersonData(String prnsId, String accessToken);

  EsiaAccessToken readToken(String accessToken);

  String getAllUserRoles(String accessToken);

  EsiaHeader readHeader(String accessToken);
}
